Subject: [TLS] ecdh_ prefix in draft-ietf-tls-rfc4492bis-12

From: David Benjamin <[email-masked]>
Date: Fri, 17 Feb 2017 22:44:32 +0000

This is a minor comment and purely aesthetic thing. Apologies for the
lateness in noticing. Hopefully it's not too late:

In TLS 1.3, we dropped the "ecdh_" prefix on ecdh_x25519 and ecdh_x448 when
we split signatures from NamedCurve/Group. The documents should probably
match in naming one way or another. I think plain x25519 and x448 is
tidier. X25519 already denotes the ECDH function, as opposed to curve25519
which is the curve.

David